Page tree

Versions Compared

Key

  • This line was added.
  • This line was removed.
  • Formatting was changed.

...

Commercial modules are only officially supported on the FreePBX Distro. Any FreePBX system with FreePBX 2.10 or greater, CentOS/RH/SL/EL 6.x and php 5.3 should work with most commercial modules, but there are no guarantees that all features and functions will work. You are on your own if there are issues, but you can purchase support and contact the FreePBX paid support department for assistance.

...

  1. Enable the FreePBX Commercial yum repos

    Code Block
    languagebash
    wget -P /etc/yum.repos.d/ -N http://yum.schmoozecom.net/schmooze-commercial/schmooze-commercial.repo
  2. yum clean all to clean out yum cache so it will find new RPMs

    Code Block
    languagebash
    yum clean all
  3. yum install needed RPMs for Commercial Modules

    Code Block
    languagebash
    yum -y install php-5.3-zend-guard-loader sysadmin fail2ban incron ImageMagick
  4. Ensure you have the right mirror servers to be able to download and obtain commercial modules

    Code Block
    /var/lib/asterisk/bin/freepbx_setting MODULE_REPO http://mirror1.freepbx.org,http://mirror1mirror2.freepbx.org
  5. Now that you have the needed RPMs installed, you can continue with the setup.

    Note

    You may need to reboot your system at this point so the system will recognize the php zend guard loader and allow you to proceed.

...

Info

You can now follow the normal guide for registering your PBX as outlined in the FreePBX Distro 10.13.66 or Older wiki.